<ion-menu [content]="content">
    <!-- <ion-header>
    <ion-toolbar>
      <ion-title>Menu</ion-title>
    </ion-toolbar>
  </ion-header> -->

    <!-- <ion-content>
    <ion-list>
      <button menuClose ion-item *ngFor="let p of pages" (click)="openPage(p)">
        {{p.title}}
      </button>
    </ion-list>
  </ion-content> -->
    <ion-content  style="background-image:url('./assets/img/88.png');background-repeat: no-repeat;background-size: 100% 100%">
        <ion-row style="background: #fff!important;">
            <ion-col col-4>
                <div style="width:70px; height: 70px; margin: 5px;background: gray; border-radius: 50px; ">
                    <img src="./assets/img/user-icon.png"/></div>
            </ion-col>
            <ion-col col-8>
                <ion-row>
                    <ion-col style="" *ngIf="serviceProvider.userDetails">{{serviceProvider.userDetails.userName}}</ion-col>
                </ion-row>
                <ion-row>
                    <ion-col style="" *ngIf="serviceProvider.userDetails">{{serviceProvider.userDetails.email}}</ion-col>
                </ion-row>
                <ion-row>
                    <!-- <ion-col style="font-size: 1.2rem; background: #ff7043 !important; padding: 2px;"><button>Edit Profile</button></ion-col> -->
                    <button ion-button small style="background: #ff7043 !important; ">Edit Profile</button>

                </ion-row>
            </ion-col>
        </ion-row>

        <!-- <img src="assets/img/dreamhouse-logo.svg" class="menu-logo"/> -->

        <ion-list>
            <!-- <ion-list-header>
            Shop
        </ion-list-header> -->
        
            <button menuClose ion-item *ngFor="let p of pages" (click)="openPage(p)">
                    <div style="border-bottom: 1px solid lightgray;margin-left: 10px; color: #fff !important;">
                <ion-icon item-left [name]="p.icon"></ion-icon>{{p.title}}
            </div>
            </button>
        
        </ion-list>

        <!-- <ion-list>
        <ion-list-header>
            Help
        </ion-list-header>
        <button menuClose ion-item *ngFor="let menuItem of helpMenuItems" (click)="openPage(menuItem)">
            <ion-icon item-left [name]="menuItem.icon"></ion-icon>
            {{menuItem.title}}
        </button>
    </ion-list> -->

    </ion-content>

</ion-menu>

<!-- Disable swipe-to-go-back because it's poor UX to combine STGB with side menus -->
<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>